{% extends 'base.html.twig' %}

{% block title %}Calendar index{% endblock %}

{% block body %}
    <h1>Calendar index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Start_date</th>
                <th>End_date</th>
                <th>Description</th>
                <th>All_day</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for calendar in calendars %}
            <tr>
                <td>{{ calendar.id }}</td>
                <td>{{ calendar.title }}</td>
                <td>{{ calendar.start_date ? calendar.start_date|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ calendar.end_date ? calendar.end_date|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ calendar.description }}</td>
                <td>{{ calendar.all_day ? 'Yes' : 'No' }}</td>
                <td>
                    <a href="{{ path('calendar_show', {'id': calendar.id}) }}">show</a>
                    <a href="{{ path('calendar_edit', {'id': calendar.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('calendar_new') }}">Create new</a>
{% endblock %}
